TextFileReader (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.topology.file

## Class TextFileReader

- java.lang.Object
- - com.ibm.streams.operator.AbstractOperator
  - - com.ibm.streamsx.topology.file.TextFileReader

- All Implemented Interfaces:
    com.ibm.streams.operator.Operator

      @PrimitiveOperator
       @InputPortSet(cardinality=1)
       @OutputPortSet(cardinality=1)
      public class TextFileReader
      extends com.ibm.streams.operator.AbstractOperator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.ibm.streams.operator.Operator

      `com.ibm.streams.operator.Operator.TagNames`

  - ### Field Summary

    - ### Fields inherited from class com.ibm.streams.operator.AbstractOperator

      `IBM_COPYRIGHT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextFileReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEncoding()`
    `void` | `initialize(com.ibm.streams.operator.OperatorContext context)`
    `void` | `process(com.ibm.streams.operator.StreamingInput<com.ibm.streams.operator.Tuple> stream, com.ibm.streams.operator.Tuple tuple)`
    `void` | `setEncoding(java.lang.String encoding)`

    - ### Methods inherited from class com.ibm.streams.operator.AbstractOperator

      `allPortsReady, checkPorts, createAvoidCompletionThread, createAvoidCompletionThread, createAvoidCompletionThreadIfNoInputs, getControlPlaneContext, getInput, getOperatorContext, getOutput, processPunctuation, setLoggerAspects, setTagData, shutdown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextFileReader

          public TextFileReader()

  - ### Method Detail

    - #### getEncoding

          public java.lang.String getEncoding()

    - #### setEncoding

          @Parameter(optional=true)
          public void setEncoding(java.lang.String encoding)

    - #### initialize

          public void initialize(com.ibm.streams.operator.OperatorContext context)
                          throws java.lang.Exception

      Specified by:
        `initialize` in interface `com.ibm.streams.operator.Operator`
      Overrides:
        `initialize` in class `com.ibm.streams.operator.AbstractOperator`
      Throws:
        `java.lang.Exception`

    - #### process

          public void process(com.ibm.streams.operator.StreamingInput<com.ibm.streams.operator.Tuple> stream,
                              com.ibm.streams.operator.Tuple tuple)
                       throws java.lang.Exception

      Specified by:
        `process` in interface `com.ibm.streams.operator.Operator`
      Overrides:
        `process` in class `com.ibm.streams.operator.AbstractOperator`
      Throws:
        `java.lang.Exception`